Skip to main content
POST
/
v1
/
voices
/
import
Import custom voice
curl --request POST \
  --url http://13.207.23.185:8000/v1/voices/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "elevenlabs",
  "provider_voice_id": "21m00Tcm4TlvDq8ikWAM",
  "name": "Rachel (cloned)",
  "credential_id": "<string>",
  "gender": "female",
  "language": "en",
  "accent": "American"
}
'
{
  "id": "<string>",
  "provider_voice_id": "<string>",
  "name": "<string>",
  "language": "<string>",
  "accent": "<string>",
  "preview_url": "<string>",
  "credential_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use api_key from POST /v1/api-keys

Body

application/json
provider
enum<string>
required
Available options:
elevenlabs
Example:

"elevenlabs"

provider_voice_id
string
required
Example:

"21m00Tcm4TlvDq8ikWAM"

name
string
required
Example:

"Rachel (cloned)"

credential_id
string
required
gender
enum<string>
Available options:
male,
female
Example:

"female"

language
string
Example:

"en"

accent
string
Example:

"American"

Response

201 - application/json

Created

id
string
provider
enum<string>
Available options:
cartesia,
deepgram,
elevenlabs
provider_voice_id
string
name
string
gender
enum<string>
Available options:
male,
female
language
string
accent
string
preview_url
string | null
credential_id
string | null
created_at
string<date-time>